	function demeff(teff)
	dimension xa(100),ya(100),y2(100),prod(100),fi(100)
	common/cfff/nnodi,hcf(100),xt(100)
	common/spettro/al(100),asp(100,200),at(200)
	common/pinco/xxa(100,100),yya(100,100),nt(100)
	common/line1/line,kkt
	common/demmax/demmax
c
c	calcola nelle teeff la g(T) la fi(T)
c
	i=1
	xx=teff
	call spline(xt,hcf,nnodi,2.e30,2.e30,y2)
	call splint(xt,hcf,y2,nnodi,xx,yyfi)

	demeff=yyfi
	return
	end

